: Class PjInfo

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.object
Class PjInfo

    java.lang.Object
      |
      +--com.etymon.pj.object.BaseObject
            |
            +--com.etymon.pj.object.PjObject
                  |
                  +--com.etymon.pj.object.PjDictionary
                        |
                        +--com.etymon.pj.object.PjInfo

All Implemented Interfaces:
  java.lang.Cloneable

public class PjInfo
extends PjDictionary

A representation of a PDF Info dictionary.

Fields inherited from class com.etymon.pj.object.PjDictionary
`_h`

Constructor Summary
`PjInfo()` Creates a new Info dictionary.
`PjInfo(java.util.Hashtable h)` Creates an Info dictionary as a wrapper around a Hashtable.

Method Summary
`java.lang.Object` | `clone()` Returns a deep copy of this object.
`PjObject` | `getAuthor()`
`PjObject` | `getCreationDate()`
`PjObject` | `getCreator()`
`PjObject` | `getKeywords()`
`PjObject` | `getModDate()`
`PjObject` | `getProducer()`
`PjObject` | `getSubject()`
`PjObject` | `getTitle()`
`static boolean` | `isLike(PjDictionary dictionary)` Examines a dictionary to see if it is a PDF Info dictionary.
`void` | `setAuthor(PjReference author)`
`void` | `setAuthor(PjString author)`
`void` | `setCreationDate(PjDate creationDate)`
`void` | `setCreationDate(PjReference creationDate)`
`void` | `setCreator(PjReference creator)`
`void` | `setCreator(PjString creator)`
`void` | `setKeywords(PjReference keywords)`
`void` | `setKeywords(PjString keywords)`
`void` | `setModDate(PjDate modDate)`
`void` | `setModDate(PjReference modDate)`
`void` | `setProducer(PjString producer)`
`void` | `setSubject(PjReference subject)`
`void` | `setSubject(PjString subject)`
`void` | `setTitle(PjReference title)`
`void` | `setTitle(PjString title)`

Methods inherited from class com.etymon.pj.object.PjDictionary
`cloneHt, getHashtable, hget, hgetReference, renumber, writePdf`

Methods inherited from class com.etymon.pj.object.BaseObject
`toString, write, write, write, writeln`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PjInfo

    public PjInfo()

  Creates a new Info dictionary.

### PjInfo

    public PjInfo(java.util.Hashtable h)

  Creates an Info dictionary as a wrapper around a Hashtable.
  Parameters:
    `h` - the Hashtable to use for this dictionary.

Method Detail

### setAuthor

    public void setAuthor(PjString author)

### setAuthor

    public void setAuthor(PjReference author)

### getAuthor

    public PjObject getAuthor()
                       throws InvalidPdfObjectException

### setCreationDate

    public void setCreationDate(PjDate creationDate)

### setCreationDate

    public void setCreationDate(PjReference creationDate)

### getCreationDate

    public PjObject getCreationDate()
                             throws InvalidPdfObjectException

### setModDate

    public void setModDate(PjDate modDate)

### setModDate

    public void setModDate(PjReference modDate)

### getModDate

    public PjObject getModDate()
                        throws InvalidPdfObjectException

### setCreator

    public void setCreator(PjString creator)

### setCreator

    public void setCreator(PjReference creator)

### getCreator

    public PjObject getCreator()
                        throws InvalidPdfObjectException

### setProducer

    public void setProducer(PjString producer)

### getProducer

    public PjObject getProducer()
                         throws InvalidPdfObjectException

### setTitle

    public void setTitle(PjString title)

### setTitle

    public void setTitle(PjReference title)

### getTitle

    public PjObject getTitle()
                      throws InvalidPdfObjectException

### setSubject

    public void setSubject(PjString subject)

### setSubject

    public void setSubject(PjReference subject)

### getSubject

    public PjObject getSubject()
                        throws InvalidPdfObjectException

### setKeywords

    public void setKeywords(PjString keywords)

### setKeywords

    public void setKeywords(PjReference keywords)

### getKeywords

    public PjObject getKeywords()
                         throws InvalidPdfObjectException

### isLike

    public static boolean isLike(PjDictionary dictionary)

  Examines a dictionary to see if it is a PDF Info dictionary.
  Parameters:
    `dictionary` - the dictionary to examine.
  Returns:
    true if the dictionary could be interpreted as a valid PjInfo object.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a deep copy of this object.
  Overrides:
    `clone` in class `PjDictionary`
  Returns:
    a deep copy of this object.
  Throws:
    `java.lang.CloneNotSupportedException` - if the instance can not be cloned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD